{{define "edit_form_question"}}
    {{template "layout"}}


    <div class="page-wrapper">
        <!-- Bread crumb and right sidebar toggle -->
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h3 class="text-themecolor">Question</h3>
            </div>
            <div class="col-md-7 align-self-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="/">Dashboard</a></li>
                    <li class="breadcrumb-item active">Question</li>
                </ol>
            </div>
        </div>
        <!-- End Bread crumb and right sidebar toggle -->

        <!-- Konten -->
        <div class="container-fluid">
            <div class="row ">
                <!-- Data -->
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="card-header bg-info text-white">
                            <h4 class="card-title m-b-0 text-white">Edit Data</h4>
                        </div>
                        <div class="card-body">
                            <form action="/lib/master_data/question/editform/{{.data.Additional}}" method="POST" enctype="multipart/form-data"
                            onsubmit="return validasi_input(this)">
                            <div class="row">
                                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">

                                    <div class="form-group" id="id_setting_category">
                                        <label class="col-lg-3 col-md-3 col-sm-3 col-xs-12">Category<span class="required">*</span></label>
                                        <div class="col-lg-10 col-md-10 col-sm-10 col-xs-12">
                                            {{$id_setting_category := .data.Id_setting_category}}
                                            <select name="id_setting_category" class="form-control">
                                                <option selected="" disabled="">-- choose --</option>
                                                    {{range $key, $value := .category}}
                                                        <option value="{{$value.ID}}" {{if eq $value.ID $id_setting_category }} selected="" {{end}}>{{$value.Name}}</option>
                                                    {{end}}
                                            </select>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label class="col-lg-3 col-md-3 col-sm-3 col-xs-12">Question</label>
                                        <div class="col-lg-10 col-md-10 col-sm-10 col-xs-12">
                                             <textarea name="question" class="form-control" placeholder="Question" data-autosize>{{.data.Question}}</textarea>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-lg-3 col-md-3 col-sm-3 col-xs-12">Status</label>
                                        <div class="col-lg-10 col-md-10 col-sm-10 col-xs-12">
                                            <label class="custom-control custom-radio">
                                                <input id="radio1" name="status" type="radio" class="custom-control-input" value="active" {{if eq (.data.Status) ("active")}} checked="" {{end}}>
                                                <span class="custom-control-label">active</span>
                                            </label>
                                            <label class="custom-control custom-radio">
                                                <input id="radio2" name="status" type="radio" class="custom-control-input" value="inactive" {{if eq (.data.Status) ("inactive")}} checked="" {{end}}>
                                                <span class="custom-control-label">Non active</span>
                                            </label>
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <div class="col-lg-10 col-md-10 col-sm-10 col-xs-12">
                                            <button class="btn btn-sm btn-info" type="submit">
                                                <i class="fa fa-paper-plane"></i>&nbsp;Update
                                            </button>
                                            <a href="/lib/master_data/question/" class="btn-sm btn waves-effect waves-light btn-secondary">
                                                <i class="fa fa-reply"></i> Back
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            </form>
                    </div>
                </div>
            </div>
        </div>


    </div>
    {{template "footer"}}
    <script type="text/javascript">
        function validasi_input(form) {
            $('.has-danger').removeClass( "has-danger");
            $('.form-control-feedback').text("");

            // validasi
            if (form.id_setting_category.value == "") {
                $("#id_setting_category").addClass("form-group has-danger");
                $("#alert-id-setting-category").text("Please fill in Id setting category");
                form.id_setting_category.focus();
                return (false);
            }
            return (true);
        }
    </script>
    {{template "lastfooter"}}
{{end}}
